package com.wyattjmiller.conversionapp

class Conversion(euroResponse: Double = 0.0, kiloResponse: Double = 0.0) {
    private var euro: Double = 0.0
    private var kilo: Double = 0.0

    val euroToDollars: Double
        get() {
            return euro.times(TO_DOLLARS)
        }

    val kiloToMiles: Double
        get() {
            return kilo.times(TO_MILES)
        }

    companion object {
        const val TO_DOLLARS: Double = 0.846956
        const val TO_MILES: Double = 0.62137
    }

    init {
        this.euro = euroResponse
        this.kilo = kiloResponse
    }
}